Package io.vertx.rxjava3.amqp

## Class AmqpReceiver

- java.lang.Object
- - io.vertx.rxjava3.amqp.AmqpReceiver

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`, `ReadStream<AmqpMessage>`, `StreamBase`

      public class AmqpReceiver
      extends Object
      implements io.vertx.lang.rx.RxDelegate, ReadStream<AmqpMessage>

  Interface used to consume AMQP message as a stream of message. Back pressure is implemented using AMQP credits.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<AmqpReceiver>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AmqpReceiver​(AmqpReceiver delegate)` |
    `AmqpReceiver​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `address()` | The listened address.
    `Completable` | `close()` | Closes the receiver.
    `AmqpConnection` | `connection()` | Gets the connection having created the receiver.
    `AmqpReceiver` | `endHandler​(Handler<Void> endHandler)` | Set an end handler.
    `boolean` | `equals​(Object o)` |
    `AmqpReceiver` | `exceptionHandler​(Handler<Throwable> handler)` | Set an exception handler on the read stream.
    `AmqpReceiver` | `fetch​(long amount)` | Fetch the specified `amount` of elements.
    `AmqpReceiver` | `getDelegate()` |
    `AmqpReceiver` | `handler​(Handler<AmqpMessage> handler)` | Set a data handler.
    `int` | `hashCode()` |
    `static AmqpReceiver` | `newInstance​(AmqpReceiver arg)` |
    `AmqpReceiver` | `pause()` | Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `Pipe<AmqpMessage>` | `pipe()` | Pause this stream and return a to transfer the elements of this stream to a destination .
    `Completable` | `pipeTo​(WriteStream<AmqpMessage> dst)` | Pipe this `ReadStream` to the `WriteStream`.
    `AmqpReceiver` | `resume()` | Resume reading, and sets the buffer in `flowing` mode.
    `Completable` | `rxClose()` | Closes the receiver.
    `Completable` | `rxPipeTo​(WriteStream<AmqpMessage> dst)` | Pipe this `ReadStream` to the `WriteStream`.
    `Flowable<AmqpMessage>` | `toFlowable()` |
    `Observable<AmqpMessage>` | `toObservable()` |
    `String` | `toString()` |
    `io.vertx.proton.ProtonReceiver` | `unwrap()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AmqpReceiver> __TYPE_ARG

  - ### Constructor Detail

    - #### AmqpReceiver

          public AmqpReceiver​(AmqpReceiver delegate)

    - #### AmqpReceiver

          public AmqpReceiver​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AmqpReceiver getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<AmqpMessage>`
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<AmqpMessage> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<AmqpMessage>`

    - #### toFlowable

          public Flowable<AmqpMessage> toFlowable()

      Specified by:
        `toFlowable` in interface `ReadStream<AmqpMessage>`

    - #### pipe

          public Pipe<AmqpMessage> pipe()

      Pause this stream and return a to transfer the elements of this stream to a destination .

      The stream will be resumed when the pipe will be wired to a `WriteStream`.
      Specified by:
        `pipe` in interface `ReadStream<AmqpMessage>`
      Returns:
        a pipe

    - #### pipeTo

          public Completable pipeTo​(WriteStream<AmqpMessage> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Specified by:
        `pipeTo` in interface `ReadStream<AmqpMessage>`
      Parameters:
        `dst` - the destination write stream
      Returns:
        a future notified when the write stream will be ended with the outcome

    - #### rxPipeTo

          public Completable rxPipeTo​(WriteStream<AmqpMessage> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Specified by:
        `rxPipeTo` in interface `ReadStream<AmqpMessage>`
      Parameters:
        `dst` - the destination write stream
      Returns:
        a future notified when the write stream will be ended with the outcome

    - #### exceptionHandler

          public AmqpReceiver exceptionHandler​(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<AmqpMessage>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public AmqpReceiver handler​(Handler<AmqpMessage> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public AmqpReceiver pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public AmqpReceiver resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### fetch

          public AmqpReceiver fetch​(long amount)

      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public AmqpReceiver endHandler​(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### address

          public String address()

      The listened address.
      Returns:
        the address, not `null`

    - #### close

          public Completable close()

      Closes the receiver.
      Returns:
        a future notified when the receiver has been closed

    - #### rxClose

          public Completable rxClose()

      Closes the receiver.
      Returns:
        a future notified when the receiver has been closed

    - #### connection

          public AmqpConnection connection()

      Gets the connection having created the receiver. Cannot be `null`
      Returns:
        the connection having created the receiver.

    - #### unwrap

          public io.vertx.proton.ProtonReceiver unwrap()

      Returns:
        the underlying ProtonReceiver.

    - #### newInstance

          public static AmqpReceiver newInstance​(AmqpReceiver arg)